{
  ...
}:

{
  machine = {
    allowUnfree = true;
    hostName = "Marid";
    users = [
      {
        name = "derped";
        id = 1337;
        isAdmin = true;
      }
    ];
    conffiles = [
      "etcfiles"
      "etcvars"
      "fonts"
      "networkmanager"
      "zsh"
    ];
    pkgs = [
      "base"
      "extra"
      "mail_utils"
      "cpp"
    ];
    services = [
      "btrbk"
      "btrfs"
      "tmux"
      "pipewire"
      "docker"
      "podman"
      "ollama"
      "virt-manager"
      "virtualbox"
      "cups"
      "nvim"
      "nvim::cmp"
      "nvim::fugitive"
      "nvim::go"
      "nvim::harpoon"
      "nvim::hurl"
      "nvim::kanagawa-nvim"
      "nvim::lsp"
      "nvim::lsp::bash"
      "nvim::lsp::c"
      "nvim::lsp::go"
      "nvim::lsp::ltex"
      "nvim::lsp::lua"
      "nvim::lsp::markdown"
      "nvim::lsp::nix-nil"
      "nvim::lsp::python"
      "nvim::lsp::typescript"
      "nvim::lsp::yaml"
      "nvim::lualine"
      "nvim::nvim-highlight"
      "nvim::oil-nvim"
      "nvim::orgmode"
      # "nvim::sniprun"
      "nvim::telescope"
      "nvim::tmux-navigate"
      "nvim::treesitter"
      "nvim::trim"
      "nvim::undotree"
      "nvim::which-key"
      "desktop"
      "desktop::sway"
      # "mariaDB"
    ];
    firewall = {
      enable = true;
      allowPing = true;
      allowedUDPPorts = [ ];
      allowedTCPPorts = [ ];
      allowedUDPPortRanges = [ ];
      allowedTCPPortRanges = [ ];
    };
  };
}
