_:

{
  machine = {
    allowUnfree = true;
    hostName = "Tehom";
    networkD = {
      enable = true;
      waitOnline = false;
    };
    users = [
      {
        name = "derped";
        id = 1337;
        isAdmin = true;
        services = [
          "kdeconnect"
        ];
      }
    ];
    conffiles = [
      "etcvars"
      "fonts"
      "networkmanager"
      "zsh"
    ];
    pkgs = [
      "base"
      "python3"
      "xpkgs"
    ];
    services = [
      "appimage"
      "btrfs"
      "gamescope"
      "handheld-daemon"
      "home"
      "impermanence"
      "nvim"
      "nvim::blink"
      "nvim::fugitive"
      "nvim::harpoon"
      "nvim::kanagawa-nvim"
      "nvim::lsp"
      "nvim::lsp::bash"
      "nvim::lsp::harper"
      "nvim::lsp::lua"
      "nvim::lsp::nix-nil"
      "nvim::nvim-highlight"
      "nvim::oil-nvim"
      "nvim::telescope"
      "nvim::tmux-navigate"
      "nvim::treesitter"
      "nvim::trim"
      "nvim::undotree"
      "nvim::which-key"
      "openssh"
      "pipewire"
      "plasmamobile"
      "stylix"
      "tmux"
    ];
    firewall = {
      enable = true;
      allowPing = true;
    };
  };
}
